Overzicht
Pakketfeature reports, recht reports.view. Rapporten zijn alleen-lezen, worden live berekend en bevatten bedragen in centen.
Endpoints
/reports/summaryKPI-samenvatting
Omzet deze maand en dit jaar, openstaand en vervallen bedrag, aantallen.
- Pakketfeature
- reports
- Recht (app-login)
- reports.view
curl "https://factora.one/api/v1/reports/summary" \
-H "Authorization: Bearer $FACTORA_API_KEY" \
-H "Accept: application/json"200 Voorbeeldantwoord
{
"data": {
"revenue_this_month": 482500,
"revenue_ytd": 5127300,
"outstanding_total": 912000,
"overdue_total": 181500,
"overdue_count": 3,
"paid_invoices": 214,
"open_quotes": 6
}
}/reports/revenueOmzet per maand
Per maand de ontvangen omzet (revenue) en het gefactureerde bedrag (invoiced).
- Pakketfeature
- reports
- Recht (app-login)
- reports.view
Queryparameters
monthsintegerAantal maanden, 1–36, standaard 12
curl "https://factora.one/api/v1/reports/revenue?months=3" \
-H "Authorization: Bearer $FACTORA_API_KEY" \
-H "Accept: application/json"200 Voorbeeldantwoord
{
"data": [
{
"label": "sep 2026",
"month": "2026-09",
"revenue": 401200,
"invoiced": 455000
},
{
"label": "okt 2026",
"month": "2026-10",
"revenue": 512900,
"invoiced": 498100
},
{
"label": "nov 2026",
"month": "2026-11",
"revenue": 482500,
"invoiced": 530000
}
]
}/reports/invoicesFactuurstatussen
Aantal en totaalbedrag per factuurstatus.
- Pakketfeature
- reports
- Recht (app-login)
- reports.view
curl "https://factora.one/api/v1/reports/invoices" \
-H "Authorization: Bearer $FACTORA_API_KEY" \
-H "Accept: application/json"200 Voorbeeldantwoord
{
"data": [
{
"status": "draft",
"count": 4,
"total": 120000
},
{
"status": "sent",
"count": 12,
"total": 730500
},
{
"status": "overdue",
"count": 3,
"total": 181500
},
{
"status": "paid",
"count": 214,
"total": 9812000
}
]
}/reports/quotesOffertestatussen
Aantal en totaalbedrag per offertestatus.
- Pakketfeature
- reports
- Recht (app-login)
- reports.view
curl "https://factora.one/api/v1/reports/quotes" \
-H "Authorization: Bearer $FACTORA_API_KEY" \
-H "Accept: application/json"200 Voorbeeldantwoord
{
"data": [
{
"status": "sent",
"count": 6,
"total": 845000
},
{
"status": "accepted",
"count": 31,
"total": 3920000
}
]
}/reports/customersTopklanten
Klanten met de hoogste factuurwaarde.
- Pakketfeature
- reports
- Recht (app-login)
- reports.view
Queryparameters
limitintegerAantal klanten, 1–25, standaard 5
curl "https://factora.one/api/v1/reports/customers?limit=2" \
-H "Authorization: Bearer $FACTORA_API_KEY" \
-H "Accept: application/json"200 Voorbeeldantwoord
{
"data": [
{
"customer_id": "9d3c6f1b-2a8e-4d1f-8b62-3e7f9c8d5a21",
"name": "Jansen Bouw",
"email": "info@jansenbouw.nl",
"total_amount": 1281000,
"invoices_count": 18
},
{
"customer_id": "9d3c6f1b-0000-4d1f-8b62-3e7f9c8d5a99",
"name": "Bakkerij De Korf",
"email": "hallo@dekorf.nl",
"total_amount": 642500,
"invoices_count": 24
}
]
}/reports/productsCatalogusstatistieken
Aantal (in)actieve producten, gemiddelde prijs en de duurste producten.
- Pakketfeature
- reports
- Recht (app-login)
- reports.view
curl "https://factora.one/api/v1/reports/products" \
-H "Authorization: Bearer $FACTORA_API_KEY" \
-H "Accept: application/json"200 Voorbeeldantwoord
{
"data": {
"total": 42,
"active": 38,
"inactive": 4,
"average_unit_price": 8450,
"highest_priced": [
{
"id": "9d3c9c4e-5db1-4042-be95-61a2cf108d54",
"sku": "IMPL-PAKKET",
"name": "Implementatiepakket",
"unit_price": 125000,
"tax_rate": 21,
"is_active": true
}
]
}
}